# eoEPReplacement< EOT > Class Template Reference

EP type of replacement strategy: first add parents to population, then truncate using EP tournament. More...

`#include <eoMergeReduce.h>`

Inheritance diagram for eoEPReplacement< EOT >:

List of all members.

## Public Member Functions

| eoEPReplacement (int _tSize)

## Private Attributes

eoPlus< EOT > | plus
eoEPReduce< EOT > | truncate

## Detailed Description

### template<class EOT>
class eoEPReplacement< EOT >

EP type of replacement strategy: first add parents to population, then truncate using EP tournament.

Definition at line 102 of file eoMergeReduce.h.

The documentation for this class was generated from the following file:

- eoMergeReduce.h